aboutsummaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/container/x86_test-base.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab-ci/container/x86_test-base.sh')
-rw-r--r--.gitlab-ci/container/x86_test-base.sh69
1 files changed, 69 insertions, 0 deletions
diff --git a/.gitlab-ci/container/x86_test-base.sh b/.gitlab-ci/container/x86_test-base.sh
new file mode 100644
index 00000000000..e79384537ea
--- /dev/null
+++ b/.gitlab-ci/container/x86_test-base.sh
@@ -0,0 +1,69 @@
+#!/bin/bash
+
+set -e
+set -o xtrace
+
+export DEBIAN_FRONTEND=noninteractive
+
+apt-get install -y \
+ ca-certificates \
+ gnupg
+
+# Upstream LLVM package repository
+apt-key add .gitlab-ci/container/llvm-snapshot.gpg.key
+echo "deb https://apt.llvm.org/buster/ llvm-toolchain-buster-9 main" >/etc/apt/sources.list.d/llvm9.list
+
+sed -i -e 's/http:\/\/deb/https:\/\/deb/g' /etc/apt/sources.list
+echo 'deb https://deb.debian.org/debian testing main' >/etc/apt/sources.list.d/testing.list
+
+apt-get update
+
+# Don't use newer packages from testing by default
+cat >/etc/apt/preferences <<EOF
+Package: *
+Pin: release a=testing
+Pin-Priority: 100
+EOF
+
+apt-get dist-upgrade -y
+
+apt-get install -y --no-remove \
+ git \
+ git-lfs \
+ libexpat1 \
+ libllvm9 \
+ liblz4-1 \
+ libpcre32-3 \
+ libpng16-16 \
+ libpython3.7 \
+ libvulkan1 \
+ libwayland-client0 \
+ libwayland-server0 \
+ libxcb-ewmh2 \
+ libxcb-randr0 \
+ libxcb-keysyms1 \
+ libxcb-xfixes0 \
+ libxkbcommon0 \
+ libxrandr2 \
+ libxrender1 \
+ python \
+ python3-mako \
+ python3-numpy \
+ python3-pil \
+ python3-pytest \
+ python3-requests \
+ python3-six \
+ python3-yaml \
+ python3.7 \
+ qt5-default \
+ qt5-qmake \
+ vulkan-tools \
+ waffle-utils \
+ xauth \
+ xvfb \
+ zlib1g
+
+apt-get purge -y \
+ gnupg
+
+apt-get autoremove -y --purge